<?php
require'../config.php';
$align='left';
$title='Переходы на сайт!';
aut();
head();
levels(9);
who_add(0,'enter');
?><b>Список логов по дням.</b><br/><br/><?
    function my_readDir($path='../sys/logs'){   
$d=dir($path);   
while(false!==($entry=$d->read())){ 
  if(($entry== '.')||($entry=='..'))continue;  
        if(is_dir($path.'/'.$entry))
		{
			my_readDir($path.'/'.$entry); 
        }   
		$sizefiles = filesize($path.'/'.$entry);
		$i += $sizefiles;
echo '<a href="site_link?l='.$entry.'">'.$entry.'</a>: '.b_size($sizefiles).'<br />';   
}

if(isset($i))echo 'Игото все логи занимают: '.b_size($i);

$d->close();   
}//End_func 
my_readDir(); 

if(isset($_GET['l']) AND file_exists('../sys/logs/'.$_GET['l']))
{
	?><hr noshade color="black"><br/><b>Просмотр лога за  <?php echo $_GET['l'];?></b><br/><br/><?
	$fp = fopen('../sys/logs/'.$_GET['l'], 'r');
	if ($fp) 
	{
		 while (!feof($fp))
		 {
			 $mytext = fgets($fp, 999);
			 $mytext = explode("|::|", $mytext);
			 ///print_r($mytext);

			 echo '<b>'.$mytext[0].'</b><br />
				  '.$mytext[2].'<br />
				  '.$mytext[3].'<br />
				  '.$mytext[4].'<br /><br />';
		 }
	}else echo "Ошибка при открытии файла";
	 fclose($fp);
}


/*
class MY_DIR{
 var $dir_size;
 function MY_DIR($d){
 $this->dir_size=0;
 printf("<hr><b><u>DirName: %s </u></b><br>\n",realpath($d));
 $s=$this->scan($d);
 printf("<u>DirSize: %s</u><hr>\n",$this->dir_size);
 echo $s;
 }
 //--
 function scan($dirname){
 GLOBAL $OBS;
 $out_str='';
 $dp=opendir($dirname);
 while($file=readdir($dp)){//
 //--Если директория--
 if(is_dir($file)&&!eregi("\.",$file)){
 $OBS[$file]=new MY_DIR($file);
 }
 elseif(!eregi("\.(txt)$",$file)){continue;}
 else{
 $fs=@filesize($file);
 if(!is_numeric($fs)){$fs='<b><u>undefined</u></b>';}
 else{$this->dir_size+=$fs;}
 $out_str.=sprintf("FileName: %s; FileSize: %s<br>\n",$file,$fs);
 }
 }//End_while
 return $out_str;
 }//End_func
 //--
 }//End_class
 //--Собственно, обработка начинается здесь----------------
 $total_size=0;
 $OBS=array();//Массив объектов-директорий
 $dir_name='.';//Директория, с которой начинаем
 $OBS[$dir_name]=new MY_DIR($dir_name);
 foreach($OBS AS $ob){
 $total_size+=$ob->dir_size;
 }
 printf("_______<u>TotalSize: %s</u>_______<hr>\n",$total_size);
 

/*
 function textpart($text, $count=100) { 
    $number = @ $_GET['number']; 
    # 
    if($count > 0) { 
        $text = wordwrap($text,$count, "[page]"); 
    } 
    $str = explode("[page]", $text); 
    // Выясняем сколько страниц 
    $count = count($str); 
    //Выводим страницу 
    empty ($number) ? $number = 0 : $number < 0 ? $number = 0 : ""; 
    echo $str[($number)]; 
    if ($number != ($count -1) and $number != 0) { 
        echo " [<a href='?number=" . ($number +1) . "'>...</a>]"; 
    } 
    echo "<br/>"; 
    echo " <a href='?number=0'>Вступление</a>"; 
    echo "<br/>"; 
    // Если текущая страница первая, то выводим продолжить 
    if ($number == 0 and count($str) > 1) { 
        echo "<br/><a href='?number=" . ($number +1) . "'>[Читать дальше...]</a> <br/>"; 
    } else { 
        // Проверяем текущая ли это страница 
        for ($i = 1; $i < $count; $i++) { 
            if ($i == $number) { 
                if ($i == ($count -1) and $count > 2) { 
                    echo " <b>[$i]</b>"; 
                    echo " <a href='?number=" . ($count - $i) . "'> в начало</a>"; 
                } 
                elseif ($i == ($count - ($count -1)) and $count > 2) { 
                    echo " <a href='?number=" . ($count -1) . "'>в конец </a>"; 
                    echo " <b>[$i]</b>"; 

                } 
                elseif ($i == $number) { 
                    echo " <b>[$i]</b>"; 
                } 
            } else { 
                echo " <a href='?number=$i'>[$i]</a>"; 

            } 
        } 
    } 
} 
$str = file_get_contents("text.txt"); 
textpart($str,0);
*/
/*
$fp = fopen('../sys/site.log', 'r');
if ($fp) 
{
	 while (!feof($fp))
	 {
		 $mytext = fgets($fp, 999);
		 $mytext = explode("|::|", $mytext);
		 ///print_r($mytext);

		 echo '<b>'.$mytext[0].'</b><br />
			 '.$mytext[2].'<br />
			 '.$mytext[3].'<br />
			 '.$mytext[4].'<br /><br />';
	 }
}
 else echo "Ошибка при открытии файла";
 fclose($fp);

 
 /*
 
  // Имя файла

  $filename = "../sys/site.log";

  // Число позиций на странице

  $pnumber = 3;

  // Открываем файл для чтения

  $bufer = file_get_contents($filename);



  // Находим все строки при помощи регулярного выражения

  preg_match_all("#([\d]+) ([^\n]+)(\n|$)#U",

                 $bufer, 

                 $out,

                 PREG_PATTERN_ORDER);

  // Формируем промежуточный массив

  for($i = 0; $i < count($out[1]); $i++)

  {

    $temp[] = trim($out[2][$i]);

  }



  // Проверяем передан ли номер текущей страницы

  if(isset($_GET['page'])) $page = $_GET['page'];

  else $page = 1;

  // Число страниц

  $total = count($temp);

  $number = (int)($total/$pnumber);

  if((float)($total/$pnumber) - $number != 0) $number++;



  $start = (($page - 1)*$pnumber + 1);

  $end = $page*$pnumber + 1;

  if($end > $total) $end = $total;



  // Выводим содержимое страниц

  for($i = $start; $i < $end; $i++)

  {

    echo $temp[$i]."<br>";

  }



  // Постраничная навигация

  for($i = 1; $i <= $number; $i++)

  {

    // Если это произвольная страница

    if($i != $number)

    {

      if($page == $i)

      {

        echo "[".(($i - 1)*$pnumber + 1)."-".$i*$pnumber."]&nbsp;";

      }

      else

      {

        echo "<a href=$_SERVER[PHP_SELF]?page=".$i.">[".

             (($i - 1)*$pnumber + 1)."-".$i*$pnumber."]</a>&nbsp;";

      }

    }

    // Если это последняя страница заменяем последнюю цифру 

    // максимальным числом позиций в массиве $temp

    else

    {

      if($page == $i)

      {

        echo "[".(($i - 1)*$pnumber + 1)."-".($total - 1)."]&nbsp;";

      }

      else

      {

        echo "<a href=$_SERVER[PHP_SELF]?page=".$i.">[".

             (($i - 1)*$pnumber + 1)."-".($total - 1)."]</a>&nbsp;";

      }

    }

  }
/*
$counter=1;

while(!feof($handle))
{
  if($counter==$line_num)
   {
    $buffer=fgets($handle, 4096);
    echo $buffer;
   }
  else
   {
    $shit=fgets($handle, 4096);
   };
  $counter++;
}


// получить web-страницу в виде массива и напечатать его
$fcontents = file ('http://www.example.com/');
while (list ($line_num, $line) = each ($fcontents)) {
    echo "<b>Line $line_num:</b>; ", htmlspecialchars ($line), "<br>\n";
}

// получить web-страницу в строке
$fcontents = implode ('', file ('http://www.example.com/'));
/*
if (file_exists('../sys/site.log'))
{
	$text = file_get_contents('../sys/site.log');
	// Построчное чтение файла 
	$handle = fopen ("../sys/site.log", "r"); 
	while (!feof ($handle)) {     
		$buffer = fgets($handle, 4096);     
		echo $buffer; 
	} 
	fclose ($handle); 

}else{echo 'Файл не найден!<br />';}

*/
echo '<br />';
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
?>